BODY {
  color: #000000; 
  font-family: Arial, Helvetica, San-serif;
  font-size: 12pt;
}

TD {
  color: #000000; 
  font-family: Arial, Helvetica, San-serif;
  font-size: 12pt;
}

P {
  color: #000000; 
  font-family: Arial, Helvetica, San-serif;
  font-size: 12pt;
}

LI {
  color: #000000; 
  font-family: Arial, Helvetica, San-serif;
  font-size: 12pt;
}

B {
  color: #000000;
}

B.blue {
  color: #3034AA;
}

.red {
  color: #aa0000;
}

DIV.small {
  font-family: Arial, Helvetica, San-serif;
  font-size: 7pt;
}

DIV.std {
  padding: 4px 4px 4px 4px;
  border: 1px solid #AAAAAA;
  background-color: #EEEEFF;
}

FORM {
  margin: 0px 0px 0px 0px;
}

FONT.huge {
  font-family: Arial, Helvetica, San-serif; 
  font-size: 16pt; 	
}

FONT.large {
  font-family: Arial, Helvetica, San-serif; 
  font-size: 14pt; 	
}

FONT.normal {
  font-family: Arial, Helvetica, San-serif;
  font-size: 12pt;
}

FONT.eleven {
  font-family: Arial, Helvetica, San-serif;
  font-size: 11pt;
}

FONT.medium {
  font-family: Arial, Helvetica, San-serif;
  font-size: 12pt;
}

FONT.small {
  font-family: Arial, Helvetica, San-serif;
  font-size: 7pt;
}

A:link {
  text-decoration: none;
  color: #3034AA;
}

A:visited {
  text-decoration: none;
  color: #3034AA;
}

A:hover {
  text-decoration: underline;
  color: #3034AA;
}

A.slateblue {
  text-decoration: none;
  color: #C0CAD8;
  font-size: 12pt;
}

A:link.slateblue {
  text-decoration: none;
  color: #C0CAD8;
  font-size: 12pt;
}

A:visited.slateblue {
  text-decoration: none;
  color: #C0CAD8;
  font-size: 12pt;
}

A:hover.slateblue {
  text-decoration: underline;
  color: #EEEEEE;
  font-size: 12pt;
}

A.greyout {
  text-decoration: none;
  color: #555555;
  font-size: 12pt;
}

A:link.greyout {
  text-decoration: none;
  color: #555555;
  font-size: 12pt;
}

A:visited.greyout {
  text-decoration: none;
  color: #555555;
  font-size: 12pt;
}

A:hover.greyout {
  text-decoration: underline;
  color: #555555;
  font-size: 12pt;
}

A.slateblue_small {
  text-decoration: none;
  color: #C0CAD8;
  font-size: 8pt;
}

A:link.slateblue_small {
  text-decoration: none;
  color: #C0CAD8;
  font-size: 8pt;
}

A:visited.slateblue_small {
  text-decoration: none;
  color: #C0CAD8;
  font-size: 8pt;
}

A:hover.slateblue_small {
  text-decoration: underline;
  color: #EEEEEE;
  font-size: 8pt;
}

.slateblue {
  text-decoration: none;
  color: #C0CAD8;
}

.greyout {
  text-decoration: none;
  color: #555555;
}

.slateblue_small {
  text-decoration: none;
  font-size: 8pt;
  color: #C0CAD8;
}

.white {
  color: white;
  text-decoration: none;
  font-weight: bold;
  font-size: 12pt;  
}

A:link.whitebold {
  color: white;
  text-decoration: none;
  font-weight: bold;
  font-size: 12pt;  
}

A:hover.whitebold {
  color: #DDDDFF;
  text-decoration: underline;
  font-weight: bold;
  font-size: 12pt;
}

A:visited.whitebold {
  color: white;
  text-decoration: none;
  font-weight: bold;
  font-size: 12pt;
}

A.underline {
  text-decoration: underline; 
}

.ap_fill {
  font-size: 12pt;
  font-weight: bold;
}

.ce_fill {
  font-size: 16pt;
  font-weight: bold;
}

.hsc_fill {
  font-size: 12pt;
  font-weight: bold;
}

.cert_fill {
  font-size: 12pt;
  font-weight: bold;
  color: red;
}

/**
 * Report Stuff
 */
table.report {
  border-collapse: collapse;
  empty-cells: show;
}

table.report tr.header {
  background-color: #ddddff;
  text-align: center;
  font-weight: bold;
}

table.report tr.odd {
  background-color: #ffffff;
}

table.report tr.even {
  background-color: #eeeeee;
}

table.report td {
  margin: 0;
  border: 1px solid #aaaaaa;
  padding: 4px 4px 4px 4px;
}

table.plain {
  border: 0px;
}

table.plain td {
  border: 0;
  padding: 2px 2px 2px 2px; 
}

.bold {
  font-weight: bold;
}

.forexisting{
	display:none;
}